---
title: "Override PlainID Policy from Vendor"
slug: "override-plainid-policy-from-vendor-2"
updated: 2026-03-22T16:42:06Z
published: 2026-03-26T10:08:53Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plainid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Override PlainID Policy from Vendor

Post/orchestrator/2.0/pop-operations/override/{envId}/{popId}/{vendorPolicyId}

This API call overrides the PlainID Policy from the Vendor by Environment, POP and Vendor Policy IDs.

## Notice

Accessing the APIs is through a dedicated domain/URL, according to your
PlainID Tenant Location**United States (US)** - `https://api.us1.plainid.io`**Canada (CA)** - `https://api.ca1.plainid.io`**Europe (EU)** - `https://api.eu1.plainid.io`
  

  

### Important note about headers

Refer to the headers below to modify
  your cURL sample. Check if the following headers are in the sample, if not,
  ensure you add it to your cURL sample before pasting into your API tool.   

  

#### Headers

 *Required 

| Header | Value | cURL Line |
| --- | --- | --- |
| Accept | `application/json` | `-H"Accept: application/json"` |
| Content Type | `application/json` | `-H"Content-Type: application/json"` |

  

### cURL Sample Guidelines

 

In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format.

   

### Using HTML Encoded Special Characters

  

Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this [HTML URL Encoding Reference](https://www.w3schools.com/tags/ref_urlencode.ASP) for a full list.

   

SecurityHTTPType bearer

For more details about Administration API Authentication, check out the Authentication APIs documentation Provide your bearer token in the Authorization header when making requests to protected resources. Example: `Authorization: Bearer 123`

Path parametersenvIdstringRequired

Environment ID. You can find the Environment ID in your Environment Settings.

popIdstringRequired

POP ID. You can find the POP ID using the [GET List of POPs API](https://docs.plainid.io/v1-api/apidocs/get-pop-list) or through the UI under your POP settings.

vendorPolicyIdstringRequired

Vendor Policy ID. You can find the Vendor Policy ID using the [Get Vendor Policy IDs by POP](/apidocs/get-policy-vendor-ids) API or through the UI in the Orchestration Workspace. To locate the Vendor Policy ID through the UI, refer to [SaaS Management Vendors](https://docs.plainid.io/v1-api/apidocs/saas-management-vendors).

Responses204

PlainID Policy overridden successfully.

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='7b06c99c-3044-4b65-a6fc-bd872c5dd646'>application/json</option>
</select>

```json
{
  "errors": [
    {
      "code": "ORC-027",
      "id": "E880D0",
      "status": 400,
      "name": "PopDoesNotBelongToEnvironment",
      "message": "Pop [POP1P00XFYS0NVJ] does not belong to Environment [ec3ff4ee-81f9-4e7f-9037-6fa9fde62cc8]",
      "args": {
        "0": "POP1P00XFYS0NVJ",
        "1": "ec3ff4ee-81f9-4e7f-9037-6fa9fde62cc8"
      }
    }
  ]
}
```

object  codestring    
messagestring    
detailsstring    

401

Unauthorized

404

Vendor Policy Not Found

<select class='api-response-data' aria-label='Media type'><option value='790bfddc-df52-448d-bb8b-1c8ce0af7284'>application/json</option>
</select>

```json
{
  "errors": [
    {
      "code": "ORC-25",
      "id": "ECD872",
      "status": 404,
      "name": "VendorPolicyNotFoundError",
      "message": "Vendor Policy by ID [role_0b9192e5-6b04-4350-a781-021878c04689_20432] was not found",
      "args": {
        "vendorPolicyId": "role_0b9192e5-6b04-4350-a781-021878c04689_20432"
      }
    }
  ]
}
```

object  codestring    
messagestring    
detailsstring    

500

Internal Server Error
